// GENERAL FORM FIELD
.mat-form-field {
  font-size: initial !important;
  font-family: "Manjari", sans-serif !important;
}

input.mat-input-element {
  border-radius: 3px;
}

.mat-form-field-underline {
  bottom: 0 !important;
}

.mat-form-field-wrapper {
  padding-bottom: 0 !important;
}

.mat-form-field-flex {
  padding: 5px 0.75em 0 0.75em !important;
}
// GENERAL FORM FIELD

// OUTLINED FORM FIELD
.mat-form-field-appearance-outline {
  .mat-form-field-infix {
    padding: 6px 0;
    top: -7px;
  }
  .mat-form-field-label {
    top: 26px;
    margin-top: -0.25em;
  }
  .mat-form-field-outline-start {
    border-radius: 10px 0 0 10px !important;
  }
  .mat-form-field-outline-end {
    border-radius: 0 10px 10px 0 !important;
  }
  .mat-form-field-suffix .mat-icon {
    position: relative !important;
    top: -3px !important;
  }
}

.mat-form-field-appearance-outline.mat-form-field-can-float.mat-form-field-should-float .mat-form-field-label,
.mat-form-field-appearance-outline.mat-form-field-can-float
  .mat-input-server:focus
  + .mat-form-field-label-wrapper
  .mat-form-field-label {
  transform: translateY(-20px) scale(0.75);
  width: 133.3333333333%;
}

.mat-form-field-appearance-outline .mat-form-field-outline-end,
.mat-form-field-appearance-outline .mat-form-field-outline-start {
  min-width: 10px !important;
}
// OUTLINED FORM FIELD

// FILLED FORM FIELD
.mat-form-field-appearance-fill {
  input.mat-input-element {
    margin-top: 0;
    height: 16px;
    top: -5px;
    position: relative;
    border-radius: 3px;
  }
  .mat-form-field-infix {
    padding: 0.25em 0 0.3em 0 !important;
  }
  .mat-form-field-flex {
    background-color: rgba(153, 169, 187, 0.24) !important;
  }
}

.mat-form-field-appearance-fill[rounded] {
  .mat-form-field-underline {
    display: none !important;
    bottom: 0 !important;
  }
  .mat-form-field-flex {
    border-radius: 10px !important;
  }
}
// FILLED FORM FIELD
